# Uses of Class
java.util.concurrent.Phaser

Packages that use Phaser
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of Phaser in java.util.concurrent

Methods in java.util.concurrent that return Phaser
Modifier and Type
Method
Description
`Phaser`
Phaser.`getParent()`
Returns the parent of this phaser, or `null` if none.
`Phaser`
Phaser.`getRoot()`
Returns the root ancestor of this phaser, which is the same as this phaser if it has no parent.
Constructors in java.util.concurrent with parameters of type Phaser
Modifier
Constructor
Description
``
`Phaser(Phaser parent)`
Equivalent to `Phaser(parent, 0)`.
``
`Phaser(Phaser parent, int parties)`
Creates a new phaser with the given parent and number of registered unarrived parties.